Get SpatialOS

Sites

Menu

Setting up iOS support for the GDK

Get the dependencies for developing iOS games

Note: iOS development is only supported on macOS.

  1. Follow the steps in Get the dependencies and be sure to select the iOS build support component during your Unity installation.
  2. Install iOS development prerequisites:
    • XCode
    • (Optional) Unity Remote - this is Unity’s solution for faster development iteration times.

Set up your Unity Editor

Most of your interactions with the GDK happen inside your Unity Editor. To get started:

  1. Open your Unity Editor.
  2. It should automatically detect your project. If it doesn’t, select Open, navigate to <path-to-your-project>/workers/unity and select Open.
    If you don’t have a SpatialOS Unity project you can use the FPS Starter Project or the Blank Starter Project to get started. If you are using one of these projects, please ensure that you’ve completed the setup steps for those projects before continuing these steps.
  3. In your Unity Editor, go to File > Build Settings to bring up the Build Settings window.
  4. In the window, select iOS and then Switch Platform.

Search results

Was this page helpful?

Thanks for letting us know!

Thanks for your feedback

Need more help? Ask on the forums